#pragma once
#include "Unit.h"

class CUnitsList  
{
	class CListedUnit  
	{
	public:
		CListedUnit* next;
		CUnit unit;
		CListedUnit();
		virtual ~CListedUnit();
	};

public:
	int GetNbUnits();
	void ClearList();
	void GoFirstUnit();
	CUnit GetNext();
	void AddUnit(CUnit unit);
	CUnitsList();
	virtual ~CUnitsList();

protected:
	int m_iNbUnits;
	CListedUnit* m_pCurrent;
	CListedUnit* m_pHead;
};